Index: c/src/ChangeLog
===================================================================
--- c/src/ChangeLog	(revision 845e4f30a917280e2942b784cca8be9eb630bc53)
+++ c/src/ChangeLog	(revision bfb4c5478f622c22b89f96cfb80818267e7dbb12)
@@ -1,2 +1,11 @@
+2004-03-05	Joel Sherrill <joel@OARcorp.com>
+
+	* libnetworking/rtems_webserver/ejparse.c,
+	libnetworking/rtems_webserver/emfdb.c,
+	libnetworking/rtems_webserver/sock.c,
+	libnetworking/rtems_webserver/socket.c,
+	libnetworking/rtems_webserver/sym.c,
+	libnetworking/rtems_webserver/webs.c,
+	libnetworking/rtems_webserver/websuemf.c: Remove warnings.
 2004-03-05	Joel Sherrill <joel@OARcorp.com>
 
Index: c/src/libnetworking/rtems_webserver/ejparse.c
===================================================================
--- c/src/libnetworking/rtems_webserver/ejparse.c	(revision 845e4f30a917280e2942b784cca8be9eb630bc53)
+++ c/src/libnetworking/rtems_webserver/ejparse.c	(revision bfb4c5478f622c22b89f96cfb80818267e7dbb12)
@@ -61,5 +61,5 @@
 	int		eid, vid;
 
-	if ((eid = hAllocEntry((void***) &ejHandles, &ejMax, sizeof(ej_t))) < 0) {
+	if ((eid = hAllocEntry((void*) &ejHandles, &ejMax, sizeof(ej_t))) < 0) {
 		return -1;
 	}
@@ -73,5 +73,5 @@
  */
 	if ((vid = hAlloc((void***) &ep->variables)) < 0) {
-		ejMax = hFree((void***) &ejHandles, ep->eid);
+		ejMax = hFree((void*) &ejHandles, ep->eid);
 		return -1;
 	}
@@ -143,5 +143,5 @@
 	}
 
-	ejMax = hFree((void***) &ejHandles, ep->eid);
+	ejMax = hFree((void*) &ejHandles, ep->eid);
 	bfree(B_L, ep);
 }
Index: c/src/libnetworking/rtems_webserver/emfdb.c
===================================================================
--- c/src/libnetworking/rtems_webserver/emfdb.c	(revision 845e4f30a917280e2942b784cca8be9eb630bc53)
+++ c/src/libnetworking/rtems_webserver/emfdb.c	(revision bfb4c5478f622c22b89f96cfb80818267e7dbb12)
@@ -64,5 +64,5 @@
  *	Bump up the size of the table array
  */
-	tid = hAllocEntry((void***) &dbListTables, 
+	tid = hAllocEntry((void*) &dbListTables, 
 		&dbMaxTables, sizeof(dbTable_t));	
 
@@ -168,5 +168,5 @@
  */
 			bfreeSafe(B_L, pTable);
-			hFree((void ***) &dbListTables, table);
+			hFree((void *) &dbListTables, table);
 		}
 	}
Index: c/src/libnetworking/rtems_webserver/sock.c
===================================================================
--- c/src/libnetworking/rtems_webserver/sock.c	(revision 845e4f30a917280e2942b784cca8be9eb630bc53)
+++ c/src/libnetworking/rtems_webserver/sock.c	(revision bfb4c5478f622c22b89f96cfb80818267e7dbb12)
@@ -578,5 +578,5 @@
 	int			sid;
 
-	if ((sid = hAllocEntry((void***) &socketList, &socketMax,
+	if ((sid = hAllocEntry((void*) &socketList, &socketMax,
 			sizeof(socket_t))) < 0) {
 		return -1;
@@ -653,5 +653,5 @@
 
 	bfree(B_L, sp);
-	socketMax = hFree((void***) &socketList, sid);
+	socketMax = hFree((void*) &socketList, sid);
 
 /*
Index: c/src/libnetworking/rtems_webserver/socket.c
===================================================================
--- c/src/libnetworking/rtems_webserver/socket.c	(revision 845e4f30a917280e2942b784cca8be9eb630bc53)
+++ c/src/libnetworking/rtems_webserver/socket.c	(revision bfb4c5478f622c22b89f96cfb80818267e7dbb12)
@@ -349,11 +349,16 @@
 static void socketAccept(socket_t *sp)
 {
-	struct sockaddr_in	addr;
+	union {
+	  struct sockaddr	addr;
+	  struct sockaddr_in	addr_in;
+        } overlay;
+	struct sockaddr_in	*addr;
 	socket_t 			*nsp;
-	size_t				len;
+	int				len;
 	char				*pString;
 	int 				newSock, nid;
 
 	a_assert(sp);
+	addr = &overlay.addr_in;
 
 /*
@@ -361,5 +366,5 @@
  */
 	len = sizeof(struct sockaddr_in);
-	if ((newSock = accept(sp->sock, (struct sockaddr *) &addr, (int *)&len)) < 0) {
+	if ((newSock = accept(sp->sock, &overlay.addr, &len)) < 0) {
 		return;
 	}
@@ -391,6 +396,6 @@
  */
 	if (sp->accept != NULL) {
-		pString = inet_ntoa(addr.sin_addr);
-		if ((sp->accept)(nid, pString, ntohs(addr.sin_port), sp->sid) < 0) {
+		pString = inet_ntoa(addr->sin_addr);
+		if ((sp->accept)(nid, pString, ntohs(addr->sin_port), sp->sid) < 0) {
 			socketFree(nid);
 		}
Index: c/src/libnetworking/rtems_webserver/sym.c
===================================================================
--- c/src/libnetworking/rtems_webserver/sym.c	(revision 845e4f30a917280e2942b784cca8be9eb630bc53)
+++ c/src/libnetworking/rtems_webserver/sym.c	(revision bfb4c5478f622c22b89f96cfb80818267e7dbb12)
@@ -89,5 +89,5 @@
  *	Create a new handle for this symbol table
  */
-	if ((sd = hAlloc((void***) &sym)) < 0) {
+	if ((sd = hAlloc((void*) &sym)) < 0) {
 		return -1;
 	}
@@ -97,5 +97,5 @@
  */
 	if ((tp = (sym_tabent_t*) balloc(B_L, sizeof(sym_tabent_t))) == NULL) {
-		symMax = hFree((void***) &sym, sd);
+		symMax = hFree((void*) &sym, sd);
 		return -1;
 	}
@@ -148,5 +148,5 @@
 	bfree(B_L, (void*) tp->hash_table);
 
-	symMax = hFree((void***) &sym, sd);
+	symMax = hFree((void*) &sym, sd);
 	bfree(B_L, (void*) tp);
 }
Index: c/src/libnetworking/rtems_webserver/webs.c
===================================================================
--- c/src/libnetworking/rtems_webserver/webs.c	(revision 845e4f30a917280e2942b784cca8be9eb630bc53)
+++ c/src/libnetworking/rtems_webserver/webs.c	(revision bfb4c5478f622c22b89f96cfb80818267e7dbb12)
@@ -1862,5 +1862,5 @@
  *	Allocate a new handle for this connection
  */
-	if ((wid = hAllocEntry((void***) &webs, &websMax,
+	if ((wid = hAllocEntry((void*) &webs, &websMax,
 			sizeof(struct websRec))) < 0) {
 		return -1;
@@ -1973,5 +1973,5 @@
 	}
 
-	websMax = hFree((void***) &webs, wp->wid);
+	websMax = hFree((void*) &webs, wp->wid);
 	bfree(B_L, wp);
 	a_assert(websMax >= 0);
Index: c/src/libnetworking/rtems_webserver/websuemf.c
===================================================================
--- c/src/libnetworking/rtems_webserver/websuemf.c	(revision 845e4f30a917280e2942b784cca8be9eb630bc53)
+++ c/src/libnetworking/rtems_webserver/websuemf.c	(revision bfb4c5478f622c22b89f96cfb80818267e7dbb12)
@@ -122,5 +122,5 @@
 	int		schedid;
 
-	if ((schedid = hAllocEntry((void***) &sched, &schedMax,
+	if ((schedid = hAllocEntry((void*) &sched, &schedMax,
 		sizeof(sched_t))) < 0) {
 		return -1;
@@ -166,5 +166,5 @@
 	}
 	bfree(B_L, s);
-	schedMax = hFree((void***) &sched, schedid);
+	schedMax = hFree((void*) &sched, schedid);
 }
 
Index: cpukit/httpd/ejparse.c
===================================================================
--- cpukit/httpd/ejparse.c	(revision 845e4f30a917280e2942b784cca8be9eb630bc53)
+++ cpukit/httpd/ejparse.c	(revision bfb4c5478f622c22b89f96cfb80818267e7dbb12)
@@ -61,5 +61,5 @@
 	int		eid, vid;
 
-	if ((eid = hAllocEntry((void***) &ejHandles, &ejMax, sizeof(ej_t))) < 0) {
+	if ((eid = hAllocEntry((void*) &ejHandles, &ejMax, sizeof(ej_t))) < 0) {
 		return -1;
 	}
@@ -73,5 +73,5 @@
  */
 	if ((vid = hAlloc((void***) &ep->variables)) < 0) {
-		ejMax = hFree((void***) &ejHandles, ep->eid);
+		ejMax = hFree((void*) &ejHandles, ep->eid);
 		return -1;
 	}
@@ -143,5 +143,5 @@
 	}
 
-	ejMax = hFree((void***) &ejHandles, ep->eid);
+	ejMax = hFree((void*) &ejHandles, ep->eid);
 	bfree(B_L, ep);
 }
Index: cpukit/httpd/emfdb.c
===================================================================
--- cpukit/httpd/emfdb.c	(revision 845e4f30a917280e2942b784cca8be9eb630bc53)
+++ cpukit/httpd/emfdb.c	(revision bfb4c5478f622c22b89f96cfb80818267e7dbb12)
@@ -64,5 +64,5 @@
  *	Bump up the size of the table array
  */
-	tid = hAllocEntry((void***) &dbListTables, 
+	tid = hAllocEntry((void*) &dbListTables, 
 		&dbMaxTables, sizeof(dbTable_t));	
 
@@ -168,5 +168,5 @@
  */
 			bfreeSafe(B_L, pTable);
-			hFree((void ***) &dbListTables, table);
+			hFree((void *) &dbListTables, table);
 		}
 	}
Index: cpukit/httpd/sock.c
===================================================================
--- cpukit/httpd/sock.c	(revision 845e4f30a917280e2942b784cca8be9eb630bc53)
+++ cpukit/httpd/sock.c	(revision bfb4c5478f622c22b89f96cfb80818267e7dbb12)
@@ -578,5 +578,5 @@
 	int			sid;
 
-	if ((sid = hAllocEntry((void***) &socketList, &socketMax,
+	if ((sid = hAllocEntry((void*) &socketList, &socketMax,
 			sizeof(socket_t))) < 0) {
 		return -1;
@@ -653,5 +653,5 @@
 
 	bfree(B_L, sp);
-	socketMax = hFree((void***) &socketList, sid);
+	socketMax = hFree((void*) &socketList, sid);
 
 /*
Index: cpukit/httpd/socket.c
===================================================================
--- cpukit/httpd/socket.c	(revision 845e4f30a917280e2942b784cca8be9eb630bc53)
+++ cpukit/httpd/socket.c	(revision bfb4c5478f622c22b89f96cfb80818267e7dbb12)
@@ -349,11 +349,16 @@
 static void socketAccept(socket_t *sp)
 {
-	struct sockaddr_in	addr;
+	union {
+	  struct sockaddr	addr;
+	  struct sockaddr_in	addr_in;
+        } overlay;
+	struct sockaddr_in	*addr;
 	socket_t 			*nsp;
-	size_t				len;
+	int				len;
 	char				*pString;
 	int 				newSock, nid;
 
 	a_assert(sp);
+	addr = &overlay.addr_in;
 
 /*
@@ -361,5 +366,5 @@
  */
 	len = sizeof(struct sockaddr_in);
-	if ((newSock = accept(sp->sock, (struct sockaddr *) &addr, (int *)&len)) < 0) {
+	if ((newSock = accept(sp->sock, &overlay.addr, &len)) < 0) {
 		return;
 	}
@@ -391,6 +396,6 @@
  */
 	if (sp->accept != NULL) {
-		pString = inet_ntoa(addr.sin_addr);
-		if ((sp->accept)(nid, pString, ntohs(addr.sin_port), sp->sid) < 0) {
+		pString = inet_ntoa(addr->sin_addr);
+		if ((sp->accept)(nid, pString, ntohs(addr->sin_port), sp->sid) < 0) {
 			socketFree(nid);
 		}
Index: cpukit/httpd/sym.c
===================================================================
--- cpukit/httpd/sym.c	(revision 845e4f30a917280e2942b784cca8be9eb630bc53)
+++ cpukit/httpd/sym.c	(revision bfb4c5478f622c22b89f96cfb80818267e7dbb12)
@@ -89,5 +89,5 @@
  *	Create a new handle for this symbol table
  */
-	if ((sd = hAlloc((void***) &sym)) < 0) {
+	if ((sd = hAlloc((void*) &sym)) < 0) {
 		return -1;
 	}
@@ -97,5 +97,5 @@
  */
 	if ((tp = (sym_tabent_t*) balloc(B_L, sizeof(sym_tabent_t))) == NULL) {
-		symMax = hFree((void***) &sym, sd);
+		symMax = hFree((void*) &sym, sd);
 		return -1;
 	}
@@ -148,5 +148,5 @@
 	bfree(B_L, (void*) tp->hash_table);
 
-	symMax = hFree((void***) &sym, sd);
+	symMax = hFree((void*) &sym, sd);
 	bfree(B_L, (void*) tp);
 }
Index: cpukit/httpd/webs.c
===================================================================
--- cpukit/httpd/webs.c	(revision 845e4f30a917280e2942b784cca8be9eb630bc53)
+++ cpukit/httpd/webs.c	(revision bfb4c5478f622c22b89f96cfb80818267e7dbb12)
@@ -1862,5 +1862,5 @@
  *	Allocate a new handle for this connection
  */
-	if ((wid = hAllocEntry((void***) &webs, &websMax,
+	if ((wid = hAllocEntry((void*) &webs, &websMax,
 			sizeof(struct websRec))) < 0) {
 		return -1;
@@ -1973,5 +1973,5 @@
 	}
 
-	websMax = hFree((void***) &webs, wp->wid);
+	websMax = hFree((void*) &webs, wp->wid);
 	bfree(B_L, wp);
 	a_assert(websMax >= 0);
Index: cpukit/httpd/websuemf.c
===================================================================
--- cpukit/httpd/websuemf.c	(revision 845e4f30a917280e2942b784cca8be9eb630bc53)
+++ cpukit/httpd/websuemf.c	(revision bfb4c5478f622c22b89f96cfb80818267e7dbb12)
@@ -122,5 +122,5 @@
 	int		schedid;
 
-	if ((schedid = hAllocEntry((void***) &sched, &schedMax,
+	if ((schedid = hAllocEntry((void*) &sched, &schedMax,
 		sizeof(sched_t))) < 0) {
 		return -1;
@@ -166,5 +166,5 @@
 	}
 	bfree(B_L, s);
-	schedMax = hFree((void***) &sched, schedid);
+	schedMax = hFree((void*) &sched, schedid);
 }
 
